ittnotify_types.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | ___itt_group_list

## Macros

#define | ITT_GROUP_LIST(varname)

## Typedefs

typedef enum ___itt_group_id | __itt_group_id
typedef struct ___itt_group_list | __itt_group_list

## Enumerations

enum

___itt_group_id {
__itt_group_none = 0, __itt_group_legacy = 1<<0, __itt_group_control = 1<<1, __itt_group_thread = 1<<2,
__itt_group_mark = 1<<3, __itt_group_sync = 1<<4, __itt_group_fsync = 1<<5, __itt_group_jit = 1<<6,
__itt_group_model = 1<<7, __itt_group_splitter_min = 1<<7, __itt_group_counter = 1<<8, __itt_group_frame = 1<<9,
__itt_group_stitch = 1<<10, __itt_group_heap = 1<<11, __itt_group_splitter_max = 1<<12, __itt_group_structure = 1<<12,
__itt_group_suppress = 1<<13, __itt_group_arrays = 1<<14, __itt_group_all = -1
}

## Macro Definition Documentation

## ITT_GROUP_LIST

#define ITT_GROUP_LIST | ( |  | varname | ) |

Value:
static __itt_group_list varname[] = { \
{ __itt_group_all, "all" }, \
{ __itt_group_control, "control" }, \
{ __itt_group_thread, "thread" }, \
{ __itt_group_mark, "mark" }, \
{ __itt_group_sync, "sync" }, \
{ __itt_group_fsync, "fsync" }, \
{ __itt_group_jit, "jit" }, \
{ __itt_group_model, "model" }, \
{ __itt_group_counter, "counter" }, \
{ __itt_group_frame, "frame" }, \
{ __itt_group_stitch, "stitch" }, \
{ __itt_group_heap, "heap" }, \
{ __itt_group_structure, "structure" }, \
{ __itt_group_suppress, "suppress" }, \
{ __itt_group_arrays, "arrays" }, \
{ __itt_group_none, NULL } \
}

Definition at line 53 of file ittnotify_types.h.

## Typedef Documentation

## __itt_group_id

typedef enum ___itt_group_id __itt_group_id

## __itt_group_list

typedef struct ___itt_group_list __itt_group_list

## Enumeration Type Documentation

## ___itt_group_id

enum ___itt_group_id

Enumerator
__itt_group_none |
__itt_group_legacy |
__itt_group_control |
__itt_group_thread |
__itt_group_mark |
__itt_group_sync |
__itt_group_fsync |
__itt_group_jit |
__itt_group_model |
__itt_group_splitter_min |
__itt_group_counter |
__itt_group_frame |
__itt_group_stitch |
__itt_group_heap |
__itt_group_splitter_max |
__itt_group_structure |
__itt_group_suppress |
__itt_group_arrays |
__itt_group_all |

Definition at line 20 of file ittnotify_types.h.

{
__itt_group_none = 0,
__itt_group_legacy = 1<<0,
__itt_group_control = 1<<1,
__itt_group_thread = 1<<2,
__itt_group_mark = 1<<3,
__itt_group_sync = 1<<4,
__itt_group_fsync = 1<<5,
__itt_group_jit = 1<<6,
__itt_group_model = 1<<7,
__itt_group_splitter_min = 1<<7,
__itt_group_counter = 1<<8,
__itt_group_frame = 1<<9,
__itt_group_stitch = 1<<10,
__itt_group_heap = 1<<11,
__itt_group_splitter_max = 1<<12,
__itt_group_structure = 1<<12,
__itt_group_suppress = 1<<13,
__itt_group_arrays = 1<<14,
__itt_group_all = -1
} __itt_group_id;
__itt_group_id
enum ___itt_group_id __itt_group_id
__itt_group_splitter_max
Definition: ittnotify_types.h:36
__itt_group_all
Definition: ittnotify_types.h:40
__itt_group_heap
Definition: ittnotify_types.h:35
__itt_group_mark
Definition: ittnotify_types.h:26
__itt_group_thread
Definition: ittnotify_types.h:25
__itt_group_stitch
Definition: ittnotify_types.h:34
__itt_group_structure
Definition: ittnotify_types.h:37
__itt_group_none
Definition: ittnotify_types.h:22
__itt_group_counter
Definition: ittnotify_types.h:32
__itt_group_model
Definition: ittnotify_types.h:30
__itt_group_control
Definition: ittnotify_types.h:24
__itt_group_frame
Definition: ittnotify_types.h:33
__itt_group_legacy
Definition: ittnotify_types.h:23
__itt_group_sync
Definition: ittnotify_types.h:27
__itt_group_arrays
Definition: ittnotify_types.h:39
__itt_group_fsync
Definition: ittnotify_types.h:28
__itt_group_splitter_min
Definition: ittnotify_types.h:31
__itt_group_suppress
Definition: ittnotify_types.h:38
___itt_group_list
Definition: ittnotify_types.h:45
__itt_group_jit
Definition: ittnotify_types.h:29

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.